import { jsx } from "react/jsx-runtime";
import { TokenNGM as TokenNGM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNGM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NGM", "data-name": "TokenNGM", ...props, children: /* @__PURE__ */ jsx(TokenNGM$1, { variant }) });
  }
);
TokenNGM.displayName = "TokenNGM";
Object.assign(TokenNGM, { isGdsIcon: true });
export {
  TokenNGM
};
